{
  programs.thunderbird = {
    enable = true;
    profiles."nix" = {
      isDefault = true;
    };
  };

  accounts.email.accounts =
  let
    thunderbird = { enable = true; profiles = [ "nix" ]; };
  in {
    "ens" = {
      primary = true;
      inherit thunderbird;
      address = "lubin.bailly@ens.psl.eu";
      realName = "Lubin Bailly";
      userName = "lbailly";
      signature = {
        delimiter = "--";
        showSignature = "append";
        text = "Lubin Bailly";
      };
      # passwordCommand
      imap = {
        host = "clipper.ens.psl.eu";
        port = 993;
        tls.enable = true;
      };
      smtp = {
        host = "clipper.ens.psl.eu";
        port = 465;
        tls.enable = true;
      };
    };
    "katmail" = {
      inherit thunderbird;
      address = "catvayor@katvayor.net";
      realName = "catvayor";
      userName = "catvayor@katvayor.net";
      signature = {
        delimiter = "--";
        showSignature = "append";
        text = "catvayor";
      };
      # passwordCommand
      imap = {
        host = "ssl0.ovh.net";
        port = 993;
        tls.enable = true;
      };
      smtp = {
        host = "ssl0.ovh.net";
        port = 465;
        tls.enable = true;
      };
    };
    "dgnum" = {
      inherit thunderbird;
      address = "catvayor@dgnum.eu";
      realName = "catvayor";
      userName = "catvayor@dgnum.eu";
      signature = {
        delimiter = "--";
        showSignature = "append";
        text = "catvayor";
      };
      # passwordCommand
      imap = {
        host = "kurisu.lahfa.xyz";
        port = 993;
        tls.enable = true;
      };
      smtp = {
        host = "kurisu.lahfa.xyz";
        port = 587;
        tls.enable = true;
        tls.useStartTls = true;
      };
    };
    "gmail.geek" = {
      inherit thunderbird;
      address = "lubin.geek@gmail.com";
      realName = "Lubin Bailly";
      userName = "lubin.geek@gmail.com";
      signature = {
        delimiter = "--";
        showSignature = "append";
        text = "Lubin Bailly";
      };
      # passwordCommand
      imap = {
        host = "imap.gmail.com";
        port = 993;
        tls.enable = true;
      };
      smtp = {
        host = "smtp.gmail.com";
        port = 465;
        tls.enable = true;
      };
    };
    "gmail.pro" = {
      inherit thunderbird;
      address = "lubin.bailly@gmail.com";
      realName = "Lubin Bailly";
      userName = "lubin.bailly@gmail.com";
      signature = {
        delimiter = "--";
        showSignature = "append";
        text = "Lubin Bailly";
      };
      # passwordCommand
      imap = {
        host = "imap.gmail.com";
        port = 993;
        tls.enable = true;
      };
      smtp = {
        host = "smtp.gmail.com";
        port = 465;
        tls.enable = true;
      };
    };
    "laposte" = {
      inherit thunderbird;
      address = "lubin-bailly@laposte.net";
      realName = "Lubin Bailly";
      userName = "lubin-bailly";
      signature = {
        delimiter = "--";
        showSignature = "append";
        text = "Lubin Bailly";
      };
      # passwordCommand
      imap = {
        host = "imap.laposte.net";
        port = 993;
        tls.enable = true;
      };
      smtp = {
        host = "smtp.laposte.net";
        port = 465;
        tls.enable = true;
      };
    };
  };
}
